% File to plot the output of the example for MLP with LM training

test_data = 30;

load trained_mlp_out.dat 
x2 = trained_mlp_out(1:test_data, 2);
x1 = x2;

r1 = [];
r2 = [];
y1 = [];
y2 = [];
for k=1:1:test_data
   r1 = [r1 trained_mlp_out((k-1)*test_data+1:k*test_data, 3)];
   r2 = [r2 trained_mlp_out((k-1)*test_data+1:k*test_data, 4)];
   y1 = [y1 trained_mlp_out((k-1)*test_data+1:k*test_data, 5)];
   y2 = [y2 trained_mlp_out((k-1)*test_data+1:k*test_data, 6)];
end;

%r1 = trained_mlp_out(:, 3);
%r2 = trained_mlp_out(:, 4);
%y1 = trained_mlp_out(:, 5);
%y2 = trained_mlp_out(:, 6);

figure(1); clf;
subplot(311);
mesh(x1, x2, r1); 
title('Output 1 of the objective function');
zlabel('r_1')

subplot(312);
mesh(x1, x2, y1);
title('Output 1 of the trained neural network');
zlabel('y_1')

subplot(313);
mesh(x1, x2, y1 - r1);  
title('The error in output 1 b/n the objective and the NN');
xlabel('x_1')
ylabel('x_2')
zlabel('e_1 = y_1 - r_1')

figure(2); clf;
subplot(311);
mesh(x1, x2, r2); 
title('Output 2 of the objective function');
zlabel('r_2')

subplot(312);
mesh(x1, x2, y2);
title('Output 2 of the trained neural network');
zlabel('y_2')

subplot(313);
mesh(x1, x2, y2 - r2);  
title('The error in output 2 b/n the objective and the NN');
xlabel('x_1')
ylabel('x_2')
zlabel('e_2 = y_2 - r_2')

